Bug 137178 - linking vs python fails because -lutils is missing in the python flags
linking vs python fails because -lutils is missing in the python flags
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-26 11:12 EDT by rudolf kastl
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 12:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rudolf kastl 2004-10-26 11:12:06 EDT
Description of problem:
linking vs python fails because -lutils is missing in the python flags

Version-Release number of selected component (if applicable):
python-2.3.3-6

How reproducible:
just link something vs python and you will notice theres errors about
forkpty etc. persistant problem since rh 7.x if i look up

Steps to Reproduce:
1. link something vs python
2. enjoy the link problem
3. loop ;)
  
Actual results:
linker complains about forkpty etc 

Expected results:
clean linking

Additional info:
adding -lutil links fine
Comment 1 Mihai Ibanescu 2004-10-27 09:42:13 EDT
Can you please give me an example of somethig that tries to link
against python? I am not sure I understand if the problem is in the
python package or in distutils or somewhere else.
Comment 2 rudolf kastl 2004-10-28 11:25:03 EDT
one example is the wolfpack ultima online emu. 

just configure it with using the python configure script for static
linking (dont enable mysql that triggers another bug in the current
mysql package. prob is fixed in rawhide).

linking then will fail. linking succeeds if -lutil is added. the
problem can be tracked back even to 7.x releases of redhat and only
seems to occur with us because -lutil for some magical reasons is
missing from the python flags.

http://prdownloads.sourceforge.net/wpdev/wolfpack-source-12.9.12.tar.bz2?download

hope this helps. if more input is required or another case to
reproduce it no problem just ask.
Comment 3 Matthew Miller 2005-04-26 11:26:25 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.